Main Page Groups Namespaces

# sigc::type_trait< const T_type & > Struct Template Reference

List of all members.

## Public Types
typedef const T_type | type
typedef const T_type& | pass
typedef const T_type& | take
typedef const T_type* | pointer

### template <class T_type>
struct sigc::type_trait< const T_type & >

## Member Typedef Documentation

template <class T_type>

typedef const T_type sigc::type_trait<const T_type&>::type

template <class T_type>

typedef const T_type& sigc::type_trait<const T_type&>::pass

template <class T_type>

typedef const T_type& sigc::type_trait<const T_type&>::take

template <class T_type>

typedef const T_type* sigc::type_trait<const T_type&>::pointer

The documentation for this struct was generated from the following file:

- type_traits.h